%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-jade
Version:    0.28.2
Release:    2%{?dist}
Summary:    Jade template engine for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/jade
Source0:    http://registry.npmjs.org/jade/-/jade-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:    tests-0.28.2.tar.bz2
Source10:   dl-tests.sh
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  coffee-script
BuildRequires:  npm(less)
# The tests require a markdown library, so it could be any one of
# npm(discount), npm(marked) or npm(markdown).
BuildRequires:  npm(markdown)
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
BuildRequires:  npm(stylus)
%endif

%description
Jade is a high performance template engine heavily influenced by Haml and
implemented with JavaScript for Node.js.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
%nodejs_fixdep commander '~1.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jade
cp -pr package.json index.js jade.js jade.min.js lib/ runtime.js runtime.min.js \
    %{buildroot}%{nodejs_sitelib}/jade
mkdir -p %{buildroot}%{nodejs_sitelib}/jade/bin
install -p -D -m0755 bin/jade %{buildroot}%{nodejs_sitelib}/jade/bin/jade

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif


%files
%doc LICENSE Readme.md Readme_zh-cn.md jade.md
%{nodejs_sitelib}/jade


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.28.2-1
- update to upstream release 0.28.2

* Sun Feb 24 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.28.1-2
- remove /usr/bin/jade symlink

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.28.1-1
- initial package
